"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const escapeString_1 = __importDefault(require("./escapeString"));
/** Used for object fields. If the name is illegal Typescript, put it in quotes. */
const escapeFieldName = (name) => {
    let isLegalIdentifier = true;
    if (name.length === 0 || name.trim() !== name) {
        isLegalIdentifier = false;
    }
    try {
        new Function("var " + name);
    }
    catch {
        isLegalIdentifier = false;
    }
    return isLegalIdentifier ? name : `'${(0, escapeString_1.default)(name)}'`;
};
exports.default = escapeFieldName;
