"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const escapeIdentifier_1 = __importDefault(require("./escapeIdentifier"));
vitest_1.it.each([
    ["ShouldNotBeChanged"],
    ["alsoShouldNotBeChanged"],
    [" NeedsTrimming ", "NeedsTrimming"],
    [" needsTrimming ", "needsTrimming"],
    ["an example", "AnExample"],
    [" an example", "AnExample"],
    ["an  example", "AnExample"],
    [
        "[example] this is a table! yes, even with symbols: \"'!.Id",
        "ExampleThisIsATableYesEvenWithSymbolsId",
    ],
    ["if", "If"],
])("should escape string: %s -> %s", (s1, s2) => {
    (0, vitest_1.expect)((0, escapeIdentifier_1.default)(s1)).toBe(s2 ?? s1);
});
vitest_1.it.each([
    ["empty string", ""],
    ["whitespace", " "],
    ["symbols", "\"'`\t"],
])("should throw if unsalvageable: %s", (_, s) => {
    (0, vitest_1.expect)(() => (0, escapeIdentifier_1.default)(s)).toThrow();
});
